locked
.NET Version 2.0 or 3.5? RRS feed

  • Question

  • User1913822523 posted

    Im running Win7 and downloaded the latest visual web developer from Microsoft. Under Help-About in web developer it says im running "Microsoft .NET Framework Version 3.5 SP1".


    But when I execute a page that doesnt exist I get a 404 error message saying "Version Information: Microsoft .NET Framework Version:2.0.50727.4918; ASP.NET Version:2.0.50727.491"


    why?? What vesion am i running?

    Tuesday, September 15, 2009 8:38 AM

Answers

  • User-1853252149 posted

    ASP.NET 3.5 is only extensions to version 2.0.   There is no separate "version" of 3.0 or 3.5, both are version 2.0 with extras.  Blame Microsoft for stupid numbering...

    ASP.NET 4.0 is a new version.

    Jeff

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Tuesday, September 15, 2009 8:45 AM
  • User541108374 posted

    Hi,

    .NET 3.0 & 3.5 are addons for .NET 2.0.

    Check your web.config if you see lines like these:

    <add assembly="System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />

    These add the needed assemblies of the 3.5 framework in your application.

    Grz, Kris.

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Tuesday, September 15, 2009 8:46 AM
  • User-1659704165 posted

    Hi,

    3.0,3.5 is extension of 2.0 notthe independent Framework.

    u can chk the folder of installed framework in c:/windows/Microsfet/Framework folder

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Tuesday, September 15, 2009 8:47 AM

All replies

  • User-1853252149 posted

    ASP.NET 3.5 is only extensions to version 2.0.   There is no separate "version" of 3.0 or 3.5, both are version 2.0 with extras.  Blame Microsoft for stupid numbering...

    ASP.NET 4.0 is a new version.

    Jeff

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Tuesday, September 15, 2009 8:45 AM
  • User312496708 posted

    You can configure the version of asp.net in IIS. Currently you are running 2.0, Rememeber you can have multiple version of framework in the same machine and still use lower version by configuring the IIS.

    Chnage the version in IIS to use higher verseion of the framework.

    Tuesday, September 15, 2009 8:46 AM
  • User541108374 posted

    Hi,

    .NET 3.0 & 3.5 are addons for .NET 2.0.

    Check your web.config if you see lines like these:

    <add assembly="System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />

    These add the needed assemblies of the 3.5 framework in your application.

    Grz, Kris.

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Tuesday, September 15, 2009 8:46 AM
  • User-1659704165 posted

    Hi,

    3.0,3.5 is extension of 2.0 notthe independent Framework.

    u can chk the folder of installed framework in c:/windows/Microsfet/Framework folder

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Tuesday, September 15, 2009 8:47 AM
  • User151468730 posted

     

    Hi, you may have a look at: http://www.webmasterworld.com/forum21/5085.htm Hope this can help you!

    Sunday, October 18, 2009 9:25 PM